import matplotlib.pyplot as plt
from scipy import stats

# next 2 lists have no linear relationship
x = [89,43,36,36,95,10,66,34,38,20,26,29,48,64,6,5,36,66,72,40]
y = [21,46,3,35,67,95,53,72,58,10,26,34,90,33,38,20,56,2,47,15]

# next 2 lists have some linear relationship
# x = [1,2,3,5,6,7,8,9,10,12,13,14,15,16,18,19,21,22]
# y = [100,90,80,60,60,55,60,65,70,70,75,76,78,79,90,99,99,100]

slope, intercept, r, p, std_err = stats.linregress(x, y)
print(f'slope={slope:5.3f}, intercept={intercept:5.3f}, r= {r:5.3f}, r-squared={r*r:5.3f}, stderr={std_err:5.3f}')

def myfunc(x):
  return slope * x + intercept

mymodel = list(map(myfunc, x))

plt.scatter(x, y)
plt.plot(x, mymodel)
plt.show()
