import matplotlib.pyplot as plt
from scipy import stats

engine_size = [2.0, 2.4, 1.5, 3.5, 3.5, 3.5, 3.5, 3.7, 3.7]
CO2 = [196, 221, 136, 255, 244, 230, 232, 255, 267]

slope, intercept, r, p, std_err = stats.linregress(engine_size, CO2)
print(f'slope={slope:5.3f}, intercept={intercept:5.3f}, r= {r:5.3f}, r-squared={r*r:5.3f}, stderr={std_err:5.3f}')


def myfunc(x):
  return slope * x + intercept

mymodel = list(map(myfunc, engine_size))

plt.scatter (engine_size, CO2)
plt.plot (engine_size, mymodel)
plt.show()
